Package ru.bitel.bgbilling.kernel.event.events

# Class GetAdditionalActionListEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.common.LocalEvent
ru.bitel.bgbilling.kernel.event.events.GetAdditionalActionListEvent

All Implemented Interfaces:
  `Serializable`, `ErrorReturnableEvent`

Direct Known Subclasses:
  `GetAdditionalWebActionListEvent`

public class GetAdditionalActionListEvent extends ru.bitel.bgbilling.kernel.event.common.LocalEvent
Синхронное событие - получение списка доп. действия для договора.
Создание списка доп. действий, доступных к вызову в карточке договора.
Унаследован от `LocalEvent`

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `GetAdditionalActionListEvent()`
  ``
  `GetAdditionalActionListEvent(int userId, int contractId)`
  Конструктор события.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `actionAllowed(int id)`
  Возвращает, содержится ли действие с данным кодом в списке разрешенных.
  `void`
  `addAction(int id, String title)`
  Добавление доп. действия
  `void`
  `addAction(int id, String title, String description)`
  Добавление доп. действия
  `List<AdditionalContractAction>`
  `getActionList()`
  Возвращает список дополнительных действий (вызывается биллингом после обработки события).
  `List<AdditionalContractAction>`
  `getActionListWithDescription()`
  Возвращает список дополнительных действий с описанием задачи в title(вызывается биллингом после обработки события).

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.LocalEvent

  `getError, setError`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### GetAdditionalActionListEvent

    protected GetAdditionalActionListEvent()

  - ### GetAdditionalActionListEvent

    public GetAdditionalActionListEvent(int userId, int contractId)
    Конструктор события.
    Parameters:
      `userId` - - id пользователя, сгенерировавшего событие
      `contractId` - - id договора

- ## Method Details

  - ### getActionList

    public List<AdditionalContractAction> getActionList()
    Возвращает список дополнительных действий (вызывается биллингом после обработки события).
    Returns:
      actionList - список доп. действий

  - ### getActionListWithDescription

    public List<AdditionalContractAction> getActionListWithDescription()
    Возвращает список дополнительных действий с описанием задачи в title(вызывается биллингом после обработки события).
    Returns:
      actionList - список доп. действий

  - ### addAction

    public void addAction(int id, String title)
    Добавление доп. действия
    Parameters:
      `id` - код действия
      `title` - название

  - ### addAction

    public void addAction(int id, String title, String description)
    Добавление доп. действия
    Parameters:
      `id` - код действия
      `title` - название

  - ### actionAllowed

    public boolean actionAllowed(int id)
    Возвращает, содержится ли действие с данным кодом в списке разрешенных.
    Parameters:
      `id` - код действия
    Returns: